# 🏅 Rewarding

{% hint style="warning" %}
The rewarding system isn't working anymore on the main bot. I'm keeping this page for [private bot instances](/pbi/get-pbi.md) which can still use it them.
{% endhint %}

Here is the rewarding command list:

<table data-header-hidden><thead><tr><th width="185.33333333333331">Command</th><th width="235">Description</th><th>Syntax</th></tr></thead><tbody><tr><td>Command</td><td>Description</td><td>Syntax</td></tr><tr><td><code>/rankConfig</code></td><td>Manage ranks giving / removal &#x26; setup ranks announcements</td><td><strong>/rankConfig</strong></td></tr><tr><td><code>/addRank</code></td><td>Configure the role that will be given to a member when they reach a certain amount of invites.</td><td><strong>/addRank</strong> &#x3C;<em>role</em>: <code>@role</code>> &#x3C;<em>invitescount</em>: <code>number</code>></td></tr><tr><td><code>/ranks</code></td><td>Gives the list of ranks that are obtainable with invites a given invite count.</td><td><strong>/ranks</strong></td></tr><tr><td><code>/refreshRanks</code></td><td>Ensure ranks role are given following config &#x26; invite counts</td><td><p><strong>/refreshRanks by-role</strong> &#x3C;<em>role</em>: <code>@role</code>> </p><p><strong>/refreshRanks for-everyone</strong></p><p><strong>/refreshRanks by-user</strong> &#x3C;<em>user</em>: <code>@user</code>></p></td></tr><tr><td><code>/removeRank</code></td><td>Remove a rank previously created with the <code>addRank</code> command.</td><td><strong>/removeRank</strong> &#x3C;<em>rank-id</em>: <code>string</code>></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.invitelogger.me/general-topics/commands/rewarding.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
